Un patch pour installer macOS Catalina sur d'anciens Mac

macos 2016 iconComme chaque année, le développeur Mac dosdude1, Collin Mistr de son vrai nom, publie un patch permettant d'installer la nouvelle mouture de MacOS sur d'anciens modèles. Cette année, c'est logiquement Catalina qu'il a rendu compatible avec les vieux Mac. Compatible est peut être un mot un peu fort puisque pour le moment, le patch permet simplement l'installation de macOS 10.15 Catalina sur des machines de plus de 7 ans, mais ne s'occupe pas (encore) des soucis de compatibilités.

macos catalina 10.15 apple officiel

Catalina compatible avec quels Mac ?

Apple l'avait annoncé, Catalina est compatible avec les mêmes machines que macOS Mojave. Voici la liste :

  • MacBook : 2015 ou plus récent
  • MacBook Air : 2012 ou plus récent
  • MacBook Pro : 2012 ou plus récent
  • Mac mini : 2012 ou plus récent
  • iMac : 2012 ou plus récent
  • iMac Pro : 2017 ou plus récent
  • Mac Pro : 2013 ou plus récent

Une astuce pour rendre son Mac compatible avec Catalina

Avec la petite astuce de Dosdue1, il est possible d’installer macOS Catalina sur des machines encore plus anciennes, comme des iMac, Mac Pro, Macbook Air et Macbook Pro de 2008 ou des Macbook de 2009.

Par contre, il faut absolument que ces machines soient sur le système de fichiers APFS d'Apple, sinon le patch ne sera pas fonctionnel. De plus, le bidouilleur précise qu'il faut taper la commande suivante avant l'installation, son patch étant comme Catalina, encore en bêt :

sudo nvram boot-args="-no_compat_check"

A moins de savoir vraiment ce que faites avec votre "vieux" Mac, il est préférable d'attendre une version plus stable du patch et surtout que Collin fasse les correctifs nécessaires pour que tout fonctionne bien comme le Bluetooth, le Wifi, etc. Dans tous les cas, vous n'aurez pas un Mac 100% fonctionnel puisque certaines fonctionnalités du système se basent sur les nouvelles technologies d'Apple réservées à du matériel plus récent (on pense à Metal pour la partie graphique notamment).

Vous aimerez peut-être

Suivez-nous avec notre app iSoft
Réagir
Si vous avez besoin d'aide sur un autre, rendez-vous sur notre Forum iOS.

 





Les réactions
Aucun commentaire pour le moment.
Bloqueur de publicité

iPhoneSoft finance la production de son contenu et ses serveurs grâce à une publicité modérée et non intrusive. Merci d'ajouter iPhoneSoft.fr en exception de votre bloqueur de publicité.

En poursuivant votre navigation, vous acceptez l'utilisation de cookies sur le site et nos partenaires tiers pour personnaliser le contenu, la publicité ainsi que pour les mesures d'audience. Merci de cliquer sur le bouton ci-dessous pour donner votre accord.

En savoir plus